zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 36bff6c29af64692839d077febfc7079
      name: 'Templates/Network devices'
  templates:
    - uuid: 069ab2a5a3fc4e98bce7656ea702bd4a
      template: CW-TEST
      name: CW-TEST
      groups:
        - name: 'Templates/Network devices'
      items:
        - uuid: 3bfd287fc3084f0094a89ef118bc45b9
          name: TEST-Item
          type: SIMPLE
          key: icmpping
          triggers:
            - uuid: 7a765a0bb37540ffb0e2a4bd1bc535ed
              expression: 'max(/CW-TEST/icmpping,#10)=0'
              name: 'Trigger Average'
              priority: AVERAGE
              dependencies:
                - name: 'Trigger High'
                  expression: 'max(/CW-TEST/icmpping,#20)=0'
                - name: 'Trigger Warning'
                  expression: 'max(/CW-TEST/icmpping,#5)=0'
            - uuid: 5b5b1de764b64b73ae39eec70642cccd
              expression: 'max(/CW-TEST/icmpping,#20)=0'
              name: 'Trigger High'
              priority: HIGH
            - uuid: 7a09f5185ab44acd8f20d9af8c30d559
              expression: 'max(/CW-TEST/icmpping,#5)=0'
              name: 'Trigger Warning'
              priority: WARNING
              dependencies:
                - name: 'Trigger High'
                  expression: 'max(/CW-TEST/icmpping,#20)=0'
      discovery_rules:
        - uuid: 7d67cfee58fd40ac9242a2fdef6597cd
          name: 'Certificate discovery'
          type: SNMP_AGENT
          snmp_oid: 'discovery[{#CERT.NAME},.1.3.6.1.4.1.3375.2.1.15.1.2.1.1]'
          key: bigip.cert.discovery
          delay: 1d
          description: 'A table containing certificate configuration.'
          item_prototypes:
            - uuid: 726b2585c08d4b14b039f424570cdde6
              name: 'F5 BIG-IP: Certificate [{#CERT.NAME}]: Expiration date'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.3375.2.1.15.1.2.1.5.{#SNMPINDEX}'
              key: 'bigip.cert.expiration.date[{#CERT.NAME}]'
              delay: 12h
              history: 7d
              trends: '0'
              units: unixtime
              description: |
                MIB: F5-BIGIP-SYSTEM-MIB
                The expiration date of the certificate in unix time.
              tags:
                - tag: certificate
                  value: '{#CERT.NAME}'
                - tag: component
                  value: certificate
              trigger_prototypes:
                - uuid: 75014c5c209b401a80a0c0c9fb9d7684
                  expression: 'last(/CW-TEST/bigip.cert.expiration.date[{#CERT.NAME}]) - 86400 * {$BIGIP.CERT.AVG.MIN} < now()'
                  name: 'F5 BIG-IP: Less than {$BIGIP.CERT.AVG.MIN} dys'
                  event_name: 'F5 BIG-IP: Less than {$BIGIP.CERT.AVG.MIN} days left until the certificate expires ({#CERT.NAME})'
                  opdata: 'Expires: {ITEM.VALUE}'
                  priority: AVERAGE
                  description: 'Please check certificate'
                  dependencies:
                    - name: 'F5 BIG-IP: Less than {$BIGIP.CERT.HIGH.MIN} days'
                      expression: 'last(/CW-TEST/bigip.cert.expiration.date[{#CERT.NAME}]) - 86400 * {$BIGIP.CERT.HIGH.MIN} < now()'
                    - name: 'F5 BIG-IP: Less than {$BIGIP.CERT.WARN.MIN} days'
                      expression: 'last(/CW-TEST/bigip.cert.expiration.date[{#CERT.NAME}]) - 86400 * {$BIGIP.CERT.WARN.MIN} < now()'
                  tags:
                    - tag: scope
                      value: security
                - uuid: c063997967a246d0869091b216b4f485
                  expression: 'last(/CW-TEST/bigip.cert.expiration.date[{#CERT.NAME}]) - 86400 * {$BIGIP.CERT.HIGH.MIN} < now()'
                  name: 'F5 BIG-IP: Less than {$BIGIP.CERT.HIGH.MIN} days'
                  event_name: 'F5 BIG-IP: Less than {$BIGIP.CERT.HIGH.MIN} days left until the certificate expires ({#CERT.NAME})'
                  opdata: 'Expires: {ITEM.VALUE}'
                  priority: HIGH
                  description: 'Please check certificate'
                  tags:
                    - tag: scope
                      value: security
                - uuid: d3e5119e41134b218b874e10d19c0a9b
                  expression: 'last(/CW-TEST/bigip.cert.expiration.date[{#CERT.NAME}]) - 86400 * {$BIGIP.CERT.WARN.MIN} < now()'
                  name: 'F5 BIG-IP: Less than {$BIGIP.CERT.WARN.MIN} days'
                  event_name: 'F5 BIG-IP: Less than {$BIGIP.CERT.WARN.MIN} days left until the certificate expires ({#CERT.NAME})'
                  opdata: 'Expires: {ITEM.VALUE}'
                  priority: WARNING
                  description: 'Please check certificate'
                  dependencies:
                    - name: 'F5 BIG-IP: Less than {$BIGIP.CERT.HIGH.MIN} days'
                      expression: 'last(/CW-TEST/bigip.cert.expiration.date[{#CERT.NAME}]) - 86400 * {$BIGIP.CERT.HIGH.MIN} < now()'
                  tags:
                    - tag: scope
                      value: security
